import math

def load(list):
    print "Loading AI bindings"

    # binding format:
    # ( 'name of robot from .bot file', 'name of AI from script class',
    #       {'optional constructor parameter':value, 'another':value} )

    # constructor parameters:
    # nose - "front" of bot in radians (default 0)
    # invertible - can function upside-down (default False)
    # topspeed - speed in meters/second AI will attempt not to exceed (default 4.0)
    # throttle - maximum analog value AI will attempt not to exceed (default 100)
    # turnspeed - turning in radians/second AI will attempt not to exceed (default 2.5)
    # turn - maximum analog value AI will attempt not to exceed (default 60)
    # radius - bot radius to use for checking for hazards and walls (default 1.0)

    # MWs
    list.append(("Slyvern","InvertOmni",{'nose':math.pi,'invertible':False,'range':500,'radius':1,'topspeed':100,'throttle':100,'turn':50,'turnspeed':2.5,'weapons':(4,),'sweapons':(4,)}))
    list.append(("Polygonerations","VertSpinner",{'nose':math.pi*2,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':60,'turnspeed':4,'TrollDanceZone':1,'weapons':(0,),'sweapons':(0,)}))
    list.append(("Emerations Evo II (Wedge)","VertSpinner",{'nose':math.pi*2,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':60,'turnspeed':4,'TrollDanceZone':1,'weapons':(0,),'sweapons':(0,)}))
    list.append(("Infiltrator III","Omni",{'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':3,'weapons':(8,9)}))
    list.append(("Punished Bullbot MW","Omni",{'nose':math.pi*1,'range':100,'radius':0.2,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2,'weapons':(77,)}))
    list.append(("Rapier III","Omni",{'radius':0.1,'topspeed':100,'throttle':100,'turn':60,'turnspeed':3.5,'weapons':(8,9)}))
    list.append(("CHU2","LilFlipper",{'nose':math.pi*1,'triggers':["Srimech"],'SrimechInterval':2,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':4.5,'weapons':(110,)}))
    list.append(("F-18","LilTurret",{'nose':math.pi*1,'tactic':"Ram",'radius':0.3,'topspeed':200,'throttle':200,'turn':50,'turnspeed':4,'weapons':(67,)}))
    list.append(("LittleSpark","Omni",{'invertible':False,'range':100,'radius':0.2,'topspeed':100,'throttle':100,'turn':100,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("MASSIVE","Omni",{'nose':math.pi,'invertible':True,'range':500,'radius':1,'topspeed':4,'throttle':100,'turn':35,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Mwerp","Omni",{'nose':math.pi*2,'radius':0.3,'topspeed':200,'throttle':200,'turn':30,'turnspeed':3.5,'weapons':(25,)}))
    list.append(("Shanked!","Omni",{'nose':math.pi,'invertible':False,'range':500,'radius':1,'topspeed':100,'throttle':100,'turn':44,'turnspeed':3.5,'tactic':"Ram",'ThresholdSpeed':1,'SightRange':3,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("Solar Flare","InvertOmni",{'invertible':False,'range':100,'radius':1,'topspeed':200,'throttle':200,'turn':100,'turnspeed':1.5,'weapons':(0,),'sweapons':(21,)}))
    list.append(("Tek-9","Omni",{'invertible':True,'range':100,'radius':1,'topspeed':200,'throttle':300,'turn':200,'turnspeed':2,'weapons':(0,)}))
    list.append(("Mean Red","Omni",{'nose':math.pi,'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':55,'turnspeed':3.5,'weapons':(19,20,21,22,23,24,25,26)}))
    list.append(("(MW) Metallicus 0.3","Omni",{'nose':math.pi,'invertible':True,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':45,'turnspeed':3.5,'weapons':(43,44,45)}))
    list.append(("Bullet","Omni",{'nose':math.pi*2,'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':45,'turnspeed':3.5,'weapons':(2,17,18)}))
    list.append(("Jack The Elemental","Omni",{'nose':math.pi*2,'invertible':True,'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':50,'turnspeed':3.5,'weapons':(34,35,36)}))
    list.append(("Nerve Agent VX","TopPusher",{'nose':math.pi*2,'invertible':True,'tactic':"Ram",'radius':0.3,'topspeed':100,'throttle':100,'turn':55,'turnspeed':3.5}))
    list.append(("Picky","Omni",{'nose':math.pi*2,'triggers':["Srimech"],'radius':0.3,'topspeed':100,'throttle':100,'turn':60,'turnspeed':3.5,'weapons':(19,)}))
    list.append(("Ravnican Justice","Omni",{'nose':math.pi,'radius':0.3,'topspeed':100,'throttle':100,'turn':60,'turnspeed':3.5,'weapons':(5,)}))
    list.append(("Revenant 2","Omni",{'nose':math.pi,'invertible':True,'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':60,'turnspeed':3.5,'weapons':(51,52,53,55)}))
    list.append(("Sub-Zero","Omni",{'nose':math.pi*2,'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':60,'turnspeed':3.5,'weapons':(44,45,46,47,48)}))
    list.append(("Transactinide (AI)","Omni",{'nose':math.pi*2,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':30,'turnspeed':3,'weapons':(5,29,30,33,36,37,38,39,40,41,42)}))
    
    # CWs
    list.append(("(CW) Mark","Omni",{'nose':math.pi*1,'invertible':True,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':30,'turnspeed':3.5,'weapons':(51,52,53)}))
    list.append(("Burn factor","Omni",{'nose':math.pi,'invertible':False,'range':500,'radius':1,'topspeed':1000,'throttle':1000,'turn':50,'turnspeed':3.2,'weapons':(0,)}))
    list.append(("Cwuig","Omni",{'nose':math.pi*2,'invertible':True,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':50,'turnspeed':3.5,'weapons':(8,9,10,16,17)}))
    list.append(("Schweinehund 2","Omni",{'nose':math.pi*1,'radius':0.3,'topspeed':200,'throttle':200,'turn':45,'turnspeed':3,'weapons':(38,39,50,51)}))
    list.append(("Smog","Omni",{'nose':math.pi*1,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':30,'turnspeed':3.5,'weapons':(11,12,13,14,15,16,17,18)}))
    list.append(("Twopaz","Omni",{'nose':math.pi*1,'tactic':"Ram",'radius':0.3,'range':100,'invertible':True,'topspeed':200,'throttle':200,'turn':50,'turnspeed':3.5,'weapons':(10,11,12,13,14,15,16,17,18,19,20,21,22)}))
    list.append(("Apogee III","Omni",{'radius':0.1,'topspeed':8,'throttle':100,'turn':60,'turnspeed':3.5,'weapons':(50,51)}))
    list.append(("Dyslapia","Omni",{'nose':math.pi*2,'radius':0.1,'range':100,'topspeed':1000,'throttle':1500,'turn':80,'turnspeed':4.5,'weapons':(1,)}))
    list.append(("Hydrofluorications.D","TopPusher2",{'nose':math.pi*2,'invertible':False,'ThresholdSpeed':0.02,'BackUpTime':4,'radius':0.1,'topspeed':100,'throttle':100,'turn':65,'turnspeed':3,'weapons':(1,)}))
    list.append(("Punished Cowbot","Omni",{'nose':math.pi*1,'range':100,'radius':0.2,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2,'weapons':(22,23,24,25)}))
    list.append(("Scintillate","Omni",{'radius':0.1,'topspeed':8,'throttle':100,'turn':60,'turnspeed':3,'weapons':(127,)}))
    list.append(("Duck Duck Noo","Omni",{'nose':math.pi*1,'range':50,'radius':1,'topspeed':130,'throttle':130,'turn':60,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("Grey Box Testing(CW)","Omni",{'nose':math.pi*2,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':35,'turnspeed':3.5,'weapons':(101,102,103,104,105,106,107,108,109,110,111,112,113,114)}))
    list.append(("Ice Pick","Omni",{'nose':math.pi*1,'triggers':["Srimech"],'radius':0.3,'topspeed':200,'throttle':200,'turn':30,'turnspeed':3.5,'weapons':(63,)}))
    list.append(("Mantacore","Omni",{'invertible':True,'nose':math.pi*1,'tactic':"Ram",'ThresholdSpeed':0.02,'BackUpTime':4,'radius':0.1,'range':500,'topspeed':500,'throttle':250,'turn':80,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("PinWheel","Omni",{'invertible':False,'range':99,'radius':0.2,'topspeed':20,'throttle':50,'turn':100,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Redline 5.5","Omni",{'nose':math.pi,'invertible':True,'range':500,'radius':1,'topspeed':4,'throttle':100,'turn':15,'turnspeed':3.1,'weapons':(0,)}))
    list.append(("Sakura-chan","Drum",{'nose':math.pi*1,'invertible':True,'radius':0.3,'topspeed':200,'throttle':200,'turn':55,'turnspeed':3.5,'weapons':(3,92,93,94,95,96,97,98)}))
    list.append(("Snowstorm","Omni",{'invertible':True,'range':100,'radius':0.2,'topspeed':20,'throttle':50,'turn':100,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Stingray","Omni",{'invertible':False,'nose':math.pi*1,'radius':0.3,'topspeed':200,'throttle':200,'turn':30,'turnspeed':4,'weapons':(46,)}))
    list.append(("Tagger","Omni",{'invertible':False,'range':50,'radius':1,'topspeed':9999,'throttle':1000,'turn':50,'turnspeed':2,'UseSrimech':1,'SrimechInterval':1,'tactic':"Evade",'ThresholdSpeed':9999,'SightRange':3,'AimError':999,'weapons':(0,)}))
    list.append(("The windows 98 experience","Omni",{'nose':math.pi,'invertible':False,'range':500,'radius':1,'topspeed':1000,'throttle':1000,'turn':50,'turnspeed':3.4,'tactic':"Ram",'ThresholdSpeed':2,'SightRange':3,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("Yoshi 2","Omni",{'invertible':True,'nose':math.pi*1,'radius':0.2,'range':100,'topspeed':200,'throttle':200,'turn':60,'turnspeed':2.5,'weapons':(1,2,)}))
    list.append(("Sea Level CW","Omni",{'nose':math.pi,'range':100,'radius':0.3,'topspeed':150,'throttle':100,'turn':30,'turnspeed':3,'weapons':(31,34,35)}))
    list.append((" Deconstructor","Omni",{'nose':math.pi,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':50,'turnspeed':3.5,'weapons':(22,23,35,36,37)}))
    list.append(("(CW) Super Metallicus 2","Omni",{'nose':math.pi,'invertible':True,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':30,'turnspeed':3,'weapons':(32,33,34)}))
    list.append(("Ace Ventura (AI)","Omni",{'nose':math.pi*2,'invertible':True,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':40,'turnspeed':3.5,'weapons':(43,44,52,53,54,55)}))
    list.append(("Anarchaic Unrest","Omni",{'nose':math.pi,'radius':0.3,'topspeed':100,'throttle':100,'turn':40,'turnspeed':3.5,'weapons':(32,)}))
    list.append(("B80 Kei","Omni",{'nose':math.pi,'invertible':True,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':45,'turnspeed':3.5,'weapons':(81,82,83,84,85)}))
    list.append(("Black Lotus CW","Omni",{'nose':math.pi,'invertible':True,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':45,'turnspeed':3.5,'weapons':(68,69,70,71,72)}))
    list.append(("Blast Off","Omni",{'nose':math.pi,'triggers':["Srimech"],'radius':0.3,'topspeed':100,'throttle':100,'turn':30,'turnspeed':3,'weapons':(25,31,33,34)}))
    list.append(("Blaster","Omni",{'nose':math.pi*2,'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':30,'turnspeed':3,'weapons':(16,17,18,21,22)}))
    list.append(("Blunt Death 2","Omni",{'nose':math.pi*2,'invertible':True,'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':45,'turnspeed':3.5,'weapons':(84,85,86,87,88,89,90,91,92,93,94)}))
    list.append(("Bone Wizard (AI)","Omni",{'nose':math.pi*2,'invertible':True,'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':30,'turnspeed':3,'weapons':(78,79,80,82,83,84,85,86,88,89,91)}))
    list.append(("Buckshot","Omni",{'nose':math.pi*2,'invertible':True,'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':50,'turnspeed':3.5,'weapons':(41,42,43,44,45,57,58,59,60,61,62)}))
    list.append(("Chophouse Chef","OmniMultiZone",{'nose':math.pi*2,'radius':0.3,'topspeed':100,'throttle':100,'turn':50,'turnspeed':3.5,'weapons':(13,14)}))
    list.append(("Fuzzy","Omni",{'nose':math.pi*2,'radius':0.3,'topspeed':100,'throttle':100,'turn':30,'turnspeed':3,'weapons':(14,)}))
    list.append(("Kraton (AI)","Omni",{'nose':math.pi*2,'radius':0.3,'topspeed':100,'throttle':100,'turn':45,'turnspeed':3.5,'weapons':(12,15)}))
    list.append(("Lifting Hazard M5.1","Omni",{'nose':math.pi,'triggers':["Srimech"],'radius':0.3,'topspeed':100,'throttle':100,'turn':30,'turnspeed':3,'weapons':(9,10,32,33,34,35,40,41)}))
    list.append(("Lil Lizard","Omni",{'nose':math.pi*2,'invertible':True,'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':35,'turnspeed':3,'weapons':(37,38)}))
    list.append(("Malware","Omni",{'nose':math.pi*0.5,'invertible':True,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':55,'turnspeed':3.5,'weapons':(9,10,11)}))
    list.append(("Mild Discomfort (Wedgelets)","Omni",{'nose':math.pi*2,'radius':0.3,'topspeed':100,'throttle':100,'turn':35,'turnspeed':3,'weapons':(26,27,28,29,30)}))
    list.append(("Oreo Storm","Omni",{'nose':math.pi,'invertible':True,'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':60,'turnspeed':3.5,'weapons':(67,68,69,70,71,72,73,74)}))
    list.append(("Party Crasher M1.2","Omni",{'nose':math.pi,'invertible':True,'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':30,'turnspeed':3,'weapons':(8,9,10)}))
    list.append(("Rainbow Ranger","Omni",{'nose':math.pi,'invertible':True,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':55,'turnspeed':3.5,'weapons':(2,3,4)}))
    list.append(("Shin Tsuihou Shinka","Omni",{'nose':math.pi,'triggers':["Srimech"],'radius':0.3,'topspeed':100,'throttle':100,'turn':60,'turnspeed':3.5,'weapons':(47,48)}))
    list.append(("Wrong Note","Omni",{'nose':math.pi,'invertible':True,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':30,'turnspeed':3,'weapons':(9,12,35)}))
    list.append(("Zettabyte","Omni",{'nose':math.pi,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':50,'turnspeed':3.5,'weapons':(20,21,22,23,24,25,26,27,28,29,30,31,32,33,34)}))
    
    # HWs
    list.append(("Shock factor","Omni",{'nose':math.pi,'invertible':False,'range':500,'radius':1,'topspeed':100,'throttle':100,'turn':40,'turnspeed':4.0,'weapons':(0,)}))
    list.append(("Anthracite","Popup",{'NoChassisTime':0.5,'radius':0.2,'topspeed':8,'throttle':100,'turn':60,'turnspeed':3.5,'weapons':(94,95)}))
    list.append(("Claymore","Omni",{'radius':0.1,'topspeed':9,'throttle':100,'turn':60,'turnspeed':3.5,'weapons':(93,94)}))
    list.append(("Speed Demon VIII","Omni",{'radius':0.1,'range':500,'topspeed':6,'throttle':100,'turn':60,'turnspeed':3,'weapons':(33,45,46)}))
    list.append(("Uranium U","Omni",{'nose':math.pi*2,'invertible':False,'radius':0.2,'range':500,'topspeed':5,'throttle':2600,'turn':60,'turnspeed':3.5,'weapons':(1,)}))
    list.append(("Crescendo IV","Omni",{'radius':0.1,'topspeed':8,'throttle':100,'turn':60,'turnspeed':2.5,'weapons':(8,9)}))
    list.append(("Gravitations VPS","OmniMultiZone",{'nose':math.pi*2,'invertible':False,'radius':0.2,'range':500,'topspeed':5,'throttle':2600,'turn':60,'turnspeed':3.5,'weapons':(1,)}))
    list.append(("Ejector Seat","Omni",{'nose':math.pi*2,'range':100,'radius':0.2,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2,'weapons':(77,)}))
    list.append(("Hamartia II","Omni",{'radius':0.2,'topspeed':8,'throttle':100,'turn':60,'turnspeed':3.5,'weapons':(119,)}))
    list.append(("Hypoxia","Omni",{'nose':math.pi*2,'invertible':False,'radius':0.2,'range':500,'topspeed':5,'throttle':2600,'turn':60,'turnspeed':3.5,'weapons':(1,)}))
    list.append(("Punished Bullbot","Omni",{'nose':math.pi*1,'range':100,'radius':0.2,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2,'weapons':(77,)}))
    list.append(("HNT Shinka Kai-2","Omni",{'nose':math.pi*1,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(47,48)}))
    list.append(("Ixol","VertSpinner",{'nose':math.pi*0.5,'invertible':True,'range':99,'radius':0.1,'topspeed':100,'throttle':130,'turn':80,'turnspeed':1.5,'weapons': (58, 59, 60, 61), 'sweapons': (56,57), 'TrollDanceZone':0.5 }))
    list.append(("WildCat","Omni",{'invertible':False,'range':50,'radius':1,'topspeed':400,'throttle':350,'turn':150,'turnspeed':2,'SrimechInterval':1,'weapons':(0,)}))
    list.append(("Blue Phoenix","OmniMultiZone",{'nose':math.pi*1,'triggers':["Srimech"],'radius':0.3,'topspeed':200,'throttle':200,'turn':30,'turnspeed':3,'weapons':(157,)}))
    list.append(("Bricked Up Ultimate","Omni",{'invertible':False,'radius':0.3,'range':100,'topspeed':200,'throttle':200,'turn':60,'turnspeed':4,'weapons':(137,155,156)}))
    list.append(("Discless","Drum",{'invertible':True,'tactic':"Ram",'range':50,'radius':1,'topspeed':1000,'throttle':100,'turn':60,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Fire Hazard 2","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':1000,'throttle':60,'turn':60,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("High Tide","Omni",{'nose':math.pi*1,'triggers':["Srimech"],'radius':0.3,'topspeed':200,'throttle':200,'turn':50,'turnspeed':3.5,'weapons':(33,34,39,40)}))
    list.append(("min-MAX","Omni",{'nose':math.pi,'invertible':False,'range':500,'radius':1,'topspeed':10,'throttle':100,'turn':60,'turnspeed':4.0,'weapons':(9,10,)}))
    list.append(("HYPE!","Omni",{'invertible':True,'range':100,'radius':0.1,'topspeed':100,'throttle':300,'turn':200,'turnspeed':2,'weapons':(0,)}))
    list.append(("PowerSurge","Omni",{'invertible':False,'radius':0.2,'topspeed':50,'throttle':50,'turn':100,'turnspeed':2,'weapons':(0,)}))
    list.append(("RoseThorn","Omni",{'invertible':False,'range':100,'radius':0.2,'topspeed':20,'throttle':40,'turn':100,'turnspeed':2,'weapons':(0,)}))
    list.append(("Scrapper S3","Omni",{'nose':math.pi*2,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':55,'turnspeed':3.5,'weapons':(10,11,12,13,14,15,50,51)}))
    list.append(("Scrapper S3(anti H)","Omni",{'nose':math.pi*2,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(7,8,39,97,103,104,105,106)}))
    list.append(("SDB","Omni",{'invertible':False,'range':50,'radius':1,'topspeed':9999,'throttle':1000,'turn':50,'turnspeed':2,'UseSrimech':1,'SrimechInterval':1,'tactic':"Engage",'ThresholdSpeed':9999,'SightRange':3,'AimError':999,'weapons':(29,30,31,32,33,34,35,36,37,38,)}))
    list.append(("Sea Level AI","Omni",{'nose':math.pi*1,'invertible':False,'range':300,'radius':1,'topspeed':60,'throttle':60,'turn':60,'turnspeed':2.0,'weapons':(0,)}))
    list.append(("Terror Wheel Carbon","Drum",{'nose':math.pi*1,'invertible':False,'radius':1,'range':50,'reload':40,'ThresholdSpeed':0.04,'BackUpTime':0.4,'topspeed':150,'throttle':150,'turn':90,'turnspeed':2.3,'weapons':(8,9,10,11,)}))
    list.append(("Zmiulan","Omni",{'nose':math.pi,'invertible':False,'range':500,'radius':1,'topspeed':3,'throttle':100,'turn':20,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("(HW) Mega Metallicus 1.85","Omni",{'nose':math.pi,'invertible':True,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':60,'turnspeed':3.5,'weapons':(75,76,77)}))
    list.append(("Ballistic 3","Omni",{'nose':math.pi*2,'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':35,'turnspeed':3,'weapons':(17,18,19,20,21,22,23,24,25)}))
    list.append(("Black Pixel","Omni",{'nose':math.pi*2,'radius':0.3,'topspeed':100,'throttle':100,'turn':35,'turnspeed':3,'weapons':(27,30,33,34,39,30)}))
    list.append(("Blitz","Omni",{'nose':math.pi*2,'triggers':["Srimech"],'radius':0.3,'topspeed':100,'throttle':100,'turn':60,'turnspeed':4,'weapons':(7,8,20,21)}))
    list.append(("Bog Lizard","Omni",{'nose':math.pi*2,'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':40,'turnspeed':3.5,'weapons':(3,4,5,6,44,45,46,47)}))
    list.append(("Elegy IV (AI)","Omni",{'nose':math.pi*2,'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':45,'turnspeed':3.5,'weapons':(22,23,24,25,31,95,96,97,98,99,100,101,102)}))
    list.append(("Emphasis Off","Omni",{'nose':math.pi,'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':30,'turnspeed':3,'weapons':(43,44,45)}))
    list.append(("Excessive Force MK. 2B","Omni",{'nose':math.pi*2,'invertible':True,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':40,'turnspeed':3.5,'weapons':(64,65,66)}))
    list.append(("Gao Shu","Omni",{'nose':math.pi,'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':50,'turnspeed':3.5,'weapons':(6,7,8)}))
    list.append(("Mean Streak","Omni",{'nose':math.pi,'invertible':True,'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':45,'turnspeed':3.5,'weapons':(56,57,58,59,60,61,72,73,74,75)}))
    list.append(("Necrosys AI","Omni",{'nose':math.pi*2,'invertible':True,'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':60,'turnspeed':3.5,'weapons':(30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,61,62,63,64,65,66)}))
    list.append(("Nummy  Struc","Omni",{'nose':math.pi,'triggers':["Srimech"],'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':30,'turnspeed':3,'weapons':(19,20,24,31,40,41,42,43,44,45,46,47)}))
    list.append(("Phantom VI","Omni",{'nose':math.pi,'invertible':True,'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':30,'turnspeed':3,'weapons':(7,8,9,10,11,12,13,14,15,16,17,18)}))
    list.append(("Queen of Harts","Omni",{'nose':math.pi*2,'invertible':True,'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':45,'turnspeed':4,'weapons':(62,63)}))
    list.append(("Red box V4","Omni",{'nose':math.pi,'triggers':["Srimech"],'radius':0.3,'topspeed':100,'throttle':100,'turn':35,'turnspeed':3,'weapons':(44,45,52,53)}))
    list.append(("Refraction","Omni",{'nose':math.pi*2,'triggers':["Srimech"],'radius':0.3,'topspeed':100,'throttle':100,'turn':30,'turnspeed':3,'weapons':(84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102)}))
    list.append(("Snapdragon","Omni",{'nose':math.pi*2,'radius':0.3,'topspeed':100,'throttle':100,'turn':40,'turnspeed':3,'weapons':(6,7)}))
    list.append(("Sour Note","Omni",{'nose':math.pi,'invertible':True,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':30,'turnspeed':3,'weapons':(4,5,28)}))
    list.append(("Tomcat","Omni",{'nose':math.pi*2,'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':30,'turnspeed':3,'weapons':(51,52,53,65,66,67,68)}))
    list.append(("Warden","Omni",{'nose':math.pi*2,'radius':0.3,'topspeed':100,'throttle':100,'turn':30,'turnspeed':3,'weapons':(28,29,32,33,34,35,36,37,38,39,40,41,42,43,44,45)}))
    
    # AWs
    list.append(("Le Generic AW Rammer","Rammer",{'invertible':True,'nose':math.pi*0.5,'radius':0.2,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(29,30)}))
    list.append(("Backhand","Omni",{'nose':math.pi*2,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':2.5,'weapons':(5,)}))
    list.append(("Droplet", "Omni", {'invertible':True, 'range':50, 'radius':1, 'topspeed':150, 'throttle':150, 'turn':75, 'turnspeed':2, 'weapons':(6,7)}))
    list.append(("YellaJacket","Omni",{'nose':math.pi*1,'invertible':False,'range':50,'radius':1,'topspeed':150,'throttle':150,'turn':60,'turnspeed':3.0,'weapons':(41,42,43,44,45,46,47,48,)}))
    list.append(("(AW) Nano Metallicus","Omni",{'nose':math.pi,'invertible':True,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':60,'turnspeed':3.5,'weapons':(7,8,9)}))
    list.append(("Chunk","Omni",{'nose':math.pi*2,'invertible':True,'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':30,'turnspeed':3,'weapons':(7,8,9)}))
    list.append(("Dwayne ","Omni",{'nose':math.pi*2,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':60,'turnspeed':4,'weapons':(18,)}))
    list.append(("Flipp-Ant","Omni",{'nose':math.pi*2,'radius':0.3,'topspeed':100,'throttle':100,'turn':60,'turn':4,'weapons':(5,)}))
    list.append(("Grog  Jr Again Again","Omni",{'nose':math.pi,'radius':0.3,'topspeed':100,'throttle':100,'turn':30,'turnspeed':3,'weapons':(7,)}))
    list.append(("Pink Rose","Omni",{'nose':math.pi*2,'invertible':True,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':30,'turnspeed':3,'weapons':(13,14)}))
    list.append(("ResistANT","Omni",{'nose':math.pi,'invertible':True,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':60,'turnspeed':3.5,'weapons':(6,7,8)}))
    list.append(("Three Little Birdie Down Beat","Omni",{'nose':math.pi*2,'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':40,'turnspeed':3,'weapons':(19,20,21)}))
    
    # LWs
    list.append(("1:01","Omni",{'invertible':True,'nose':math.pi*1,'radius':0.2,'range':100,'topspeed':200,'throttle':200,'turn':60,'turnspeed':2.5,'weapons':(1,2,)}))
    list.append(("Bodkin","Omni",{'invertible':True,'radius':0.1,'range':500,'topspeed':7,'throttle':100,'turn':60,'turnspeed':3,'weapons':(33,45,46)}))
    list.append(("Night Terrors","Drum",{'invertible':False,'radius':1,'range':50,'reload':40,'ThresholdSpeed':0.04,'BackUpTime':0.4,'topspeed':150,'throttle':150,'turn':90,'turnspeed':2.3,'weapons':(8,9,10,11,)}))
    list.append(("Playground Terror","Omni",{'nose':math.pi*2,'invertible':True,'radius':0.3,'range':100,'topspeed':200,'throttle':200,'turn':70,'turnspeed':4,'weapons':(16,17,30,31,32,33)}))
    list.append(("Sparrow 2","Omni",{'nose':math.pi,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':50,'turnspeed':2.9,'weapons':(0,)}))
    list.append(("deep weapon tech","Rammer",{'nose':math.pi*2,'invertible':True,'radius':0.3,'topspeed':100,'throttle':100,'turn':45,'turnspeed':3.5}))
    list.append(("E","TopPusher",{'nose':math.pi,'invertible':True,'tactic':"Ram",'radius':0.3,'topspeed':100,'throttle':100,'turn':30,'turnspeed':3}))
    list.append(("Knuckle Sandwich","Rammer",{'nose':math.pi*2,'invertible':True,'radius':0.3,'topspeed':100,'throttle':100,'turn':60,'turnspeed':3.5}))
    list.append(("Pushpan 1.5","TopPusher",{'nose':math.pi,'tactic':"Ram",'radius':0.3,'topspeed':100,'throttle':100,'turn':30,'turnspeed':3}))
    list.append(("Shrapnel","Omni",{'nose':math.pi*2,'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':30,'turnspeed':3,'weapons':(20,21,22)}))
    list.append(("Textureless","Rammer",{'nose':math.pi*2,'invertible':True,'radius':0.3,'topspeed':100,'throttle':100,'turn':30,'turnspeed':3}))
    list.append(("Upaa 2 ","Omni",{'nose':math.pi,'invertible':True,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':60,'turnspeed':3.5,'weapons':(14,15,16)}))
    
    # SHWs
    list.append(("21st Century Schizoid Bot","Omni",{'invertible':True,'nose':math.pi*1.5,'radius':0.1,'range':500,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(29,30,31,32,33)}))
    list.append(("Ace High","Omni",{'nose':math.pi,'range':50,'radius':1,'topspeed':150,'throttle':150,'turn':50,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Eiswulf 2","Omni",{'nose':math.pi,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':30,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("Jeremy Clarkbot (SHW)","Omni",{'invertible':True,'range':100,'radius':1,'topspeed':200,'throttle':300,'turn':200,'turnspeed':2,'weapons':(0,)}))
    list.append(("Secret Dawn","LilMultiWeapon",{'nose':math.pi*1,'triggers':["Srimech"],'radius':0.3,'topspeed':200,'throttle':200,'turn':35,'turnspeed':3.5,'weapons':(44,45),'sweapons':(73,102)}))
    list.append(("(SHW) Giga Metallicus 2","Omni",{'nose':math.pi*2,'invertible':True,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':30,'turnspeed':3,'weapons':(7,8,9,10,11,12)}))
    list.append(("Fait Accompli","Omni",{'nose':math.pi*2,'radius':0.3,'topspeed':100,'throttle':100,'turn':35,'turnspeed':3,'weapons':(169,)}))
    list.append(("Necron Overlord","Omni",{'nose':math.pi,'invertible':True,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':40,'turnspeed':3,'weapons':(38,39,40,54,55,56,57)}))
    list.append(("Not Overcompensating","Drum",{'nose':math.pi,'invertible':True,'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':55,'turnspeed':3.5,'weapons':(2,12,13,14,15,16,17)}))
    list.append(("Nuclear","Omni",{'nose':math.pi*2,'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':35,'turnspeed':3,'weapons':(12,13,14,22,23,24,25,26,27)}))
    list.append(("Shoggath SHW","Omni",{'nose':math.pi*2,'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':30,'turnspeed':3,'weapons':(95,96,97,98,99,100)}))
    list.append(("Swoptar","Omni",{'nose':math.pi*2,'range':100,'radius':0.3,'topspeed':100,'throttle':100,'turn':30,'turnspeed':3,'weapons':(2,121,122,123,124)}))